SOURCES: pound.init - no need to check syntax of all pounds are down on res...

glen glen at pld-linux.org
Wed Jan 14 17:34:43 CET 2009


Author: glen                         Date: Wed Jan 14 16:34:42 2009 GMT
Module: SOURCES                       Tag: HEAD
---- Log message:
- no need to check syntax of all pounds are down on restart

---- Files affected:
SOURCES:
   pound.init (1.20 -> 1.21) 

---- Diffs:

================================================================
Index: SOURCES/pound.init
diff -u SOURCES/pound.init:1.20 SOURCES/pound.init:1.21
--- SOURCES/pound.init:1.20	Fri Jan  9 14:54:08 2009
+++ SOURCES/pound.init	Wed Jan 14 17:34:37 2009
@@ -129,17 +129,20 @@
 restart() {
 	local instance
 
-	# make up list of configured and up instances
-	local list
-	show "Checking configuration"; busy
-	for instance in $POUND_INSTANCES; do
-		# skip ones whose config fails
-		configtest $instance || continue
-		list="$list $instance"
-	done
-	ok
+	if any_up; then
+		# make up list of configured and up instances
+		local list
+		show "Checking configuration"; busy
+		for instance in $POUND_INSTANCES; do
+			# skip ones whose config fails
+			configtest $instance || continue
+			list="$list $instance"
+		done
+		ok
 
-	POUND_INSTANCES=$list
+		POUND_INSTANCES=$list
+
+	fi
 
 	stop
 	start
================================================================

---- CVS-web:
    http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/SOURCES/pound.init?r1=1.20&r2=1.21&f=u



More information about the pld-cvs-commit mailing list